SGAccessInterface (softwaregateway-client 2.0.0-3.7.0 API)
Date: 2015-05-19

org.gcube.vremanagement.softwaregateway.client.interfaces

## Interface SGAccessInterface

- All Known Implementing Classes:
    SGAccessLibrary

      public interface SGAccessInterface

  Author:
    Roberto Cirillo (ISTI - CNR)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDependencies(Types.DependenciesCoordinates packageCoordinates)`
    `String` | `getLocation(Types.PackageCoordinates packageCoordinates)`
    `Types.getPackagesResponse` | `getPackages(Types.ServiceCoordinates serviceCoordinates)`
    `Types.getPluginResponse` | `getPlugins(Types.PluginCoordinates serviceCoordinates)`
    `String` | `getSALocation(Types.SACoordinates saCoordinates)`

- - ### Method Detail

    - #### getLocation

          String getLocation(Types.PackageCoordinates packageCoordinates)
                             throws ServiceNotAvaiableException

      Throws:
        `ServiceNotAvaiableException`

    - #### getSALocation

          String getSALocation(Types.SACoordinates saCoordinates)
                               throws ServiceNotAvaiableException

      Throws:
        `ServiceNotAvaiableException`

    - #### getDependencies

          String getDependencies(Types.DependenciesCoordinates packageCoordinates)
                                 throws ServiceNotAvaiableException

      Throws:
        `ServiceNotAvaiableException`

    - #### getPackages

          Types.getPackagesResponse getPackages(Types.ServiceCoordinates serviceCoordinates)
                                                throws ServiceNotAvaiableException

      Throws:
        `ServiceNotAvaiableException`

    - #### getPlugins

          Types.getPluginResponse getPlugins(Types.PluginCoordinates serviceCoordinates)
                                             throws ServiceNotAvaiableException

      Throws:
        `ServiceNotAvaiableException`

Copyright © 2015. All Rights Reserved.